Start a test outbound SIP call
Start a test outbound call from a phone number already assigned to the assistant. Creates a LiveKit room, dispatches the agent, then creates the outbound SIP participant. Performs a credit pre-flight check; returns 402 if balance is insufficient.
curl -X POST "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/test-call" \
-H "Content-Type: application/json" \
-d '{
"accountSlug": "example_string",
"fromNumber": "example_string",
"toNumber": "example_string"
}'
import requests
import json
url = "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/test-call"
headers = {
"Content-Type": "application/json"
}
data = {
"accountSlug": "example_string",
"fromNumber": "example_string",
"toNumber": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/test-call", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"accountSlug": "example_string",
"fromNumber": "example_string",
"toNumber": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"accountSlug": "example_string",
"fromNumber": "example_string",
"toNumber": "example_string"
}`)
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/test-call", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/test-call')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"accountSlug": "example_string",
"fromNumber": "example_string",
"toNumber": "example_string"
}'
response = http.request(request)
puts response.body
{
"success": true,
"roomName": "John Doe",
"sipCallId": "example_string",
"message": "example_string"
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Error",
"message": "Insufficient credits",
"code": 402
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
/assistants/{assistantId}/telephony/test-callTarget server for requests. Edit to use your own host.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Assistant UUID
The media type of the request body
Active number already assigned to the assistant
Destination number to dial
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
Assistant UUID
Body
Active number already assigned to the assistant
Destination number to dial